% Skript homog_diskret_1.m in dem die homogene Lösung
% eines zeitdiskreten LTI-Systems für zwei konjugiert
% komplexe Wurzeln untersucht wird
clear;
% ------- Konjugiert komplexes Wurzelpaar
Omega = 0.7*pi/4;       % Winkel der Wurzeln
z1 = 0.9*exp(j*Omega);  % Wurzel der charakt. Gl. 
z2 = conj(z1);  
abs([z1,z2])            % Liegen sie im Einheitskreis ?
a = poly([z1,z2]);      % Charakteristische Gl.
% ------- Lösung mit Hilfe der Differenzengleichung
nyh = 50;               % Länge der Lösung
yh = zeros(1,nyh);
yh(1) = 0.5;      % y(n-2)
yh(2) = 1;        % y(n-1)
for k = 3:nyh
    yh(k) = (-a(2)*yh(k-1) - a(3)*yh(k-2))/a(1);
end;
figure(1);   clf;
stem(0:nyh-1, yh);
   hold on
plot(0:nyh-1, yh);
   hold off;
   title('Homogene Lösung für ein konjugiert komplexes Wurzelpaar')
   xlabel('n');    grid on;

np = 2*pi/Omega   % Mittlere Periode der Hülle


    